/*
 * @file ComplexMath_Im.c
 * Module Interface for Module ComplexMath_Im
 */

#include "ComplexMath_Im.h"
#include <math.h>

void ComplexMath_Im__INITIALIZE__received(ComplexMath_Im__context *context)
{
   /* User Code Here */
}

void ComplexMath_Im__START__received(ComplexMath_Im__context *context)
{
   /* User Code Here */
}

void ComplexMath_Im__STOP__received(ComplexMath_Im__context *context)
{
   /* User Code Here */
}

void ComplexMath_Im__SHUTDOWN__received(ComplexMath_Im__context *context)
{
   /* User Code Here */
}

void ComplexMath_Im__power__request_received
   (ComplexMath_Im__context* context,
    const ECOA__uint32 ID,
    const ECOA__int32 base,
    const ECOA__int32 exponent)
{
   ECOA__return_status status;

   ECOA__int32 result = pow(base, exponent);
   status = ComplexMath_Im_container__power__response_send(context,ID, result);
}

void ComplexMath_Im__squareRoot__request_received
   (ComplexMath_Im__context* context,
    const ECOA__uint32 ID,
    const ECOA__int32 value)
{
   ECOA__return_status status;

   ECOA__int32 result = sqrt(value);
   status = ComplexMath_Im_container__squareRoot__response_send(context,ID, result);
}
